Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.appflow.processor.security
Class GroupFormProcessor

    java.lang.Object
      com.bea.portal.appflow.processor.AbstractPortalProcessor
          com.bea.portal.appflow.processor.security.GroupFormProcessor

All Implemented Interfaces:
  com.bea.p13n.appflow.webflow.InputProcessor

Deprecated. com.bea.portal is only useful in the compatibility domain. For the new portal framework please use the classes under the com.bea.netuix package

public class GroupFormProcessor
extends AbstractPortalProcessor

Validate the html form used to select a group and set that group in the users profile identity.

Constructor Summary
`GroupFormProcessor()` Deprecated.

Method Summary
`Object` | `process(HttpServletRequest request, HttpServletResponse response, PortalRequest portalRequest, Object requestContext)` Deprecated. Processors extending this class must provide an implementation.

Methods inherited from class com.bea.portal.appflow.processor.AbstractPortalProcessor
`getCurrentPortletState, process`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroupFormProcessor

    public GroupFormProcessor()

  Deprecated.

Method Detail

### process

    public Object process(HttpServletRequest request,
                          HttpServletResponse response,
                          PortalRequest portalRequest,
                          Object requestContext)
                   throws com.bea.p13n.appflow.exception.ProcessingException,
                          com.bea.p13n.appflow.webflow.forms.InvalidFormDataException

  Deprecated.
  Description copied from class: `AbstractPortalProcessor`
  Processors extending this class must provide an implementation. This method will be called if the processor is session insensitive or the session has not timed-out.

  Specified by:
    `process` in class `AbstractPortalProcessor`
  Throws:
    `com.bea.p13n.appflow.exception.ProcessingException`
    `com.bea.p13n.appflow.webflow.forms.InvalidFormDataException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved